Screen an entity
GEThttps://api.dilisense.com/v1/checkEntity
The checkEntity API method searches for entities that match certain criteria. The client can decide which lists should be included in the search to limit the results to the relevant ones.
Legal form synonym matching. Company legal form terms in the search string are automatically matched against their synonyms. A record is found regardless of which abbreviation, punctuation variant or long form of the legal form is used in the search or in the record itself. Examples of legal forms that are treated as equivalent:
- "LLC", "L.L.C." and "limited liability company"
- "GmbH", "G m b H" and "Gesellschaft mit beschränkter Haftung"
- "SARL", "S.A.R.L." and "société à responsabilité limitée"
For example, a search for "Reyco Gesellschaft mit beschränkter Haftung" will also find the record "REYCO GMBH" and vice versa. The synonym matching works in both directions, applies to the names as well as the search_all parameter and is combined with the fuzzy_search parameter if set. No additional parameter is needed to activate it.
Request
Example request
curl --location --request GET 'https://api.dilisense.com/v1/checkEntity?names=REYCO%20GMBH%20GERMANY' \
--header 'x-api-key: <api_key>'
Responses
- 200
OK
Error responses are the same for all endpoints, see Errors.